---
dependency:
  name: galaxy
lint: |
  set -e
  yamllint -c molecule/yamllint.cfg .
  ansible-lint -c molecule/dot.ansible-lint .
driver:
  name: podman
# https://molecule.readthedocs.io/en/latest/examples.html#systemd-container
platforms:
  - name: instance
    # https://hub.docker.com/r/centos/systemd/
    # image: centos/systemd:latest
    image: docker.io/ssato/fedora-python-systemd:36
    pre_build_image: true
    command: /sbin/init
    # capabilities:
    #  - SYS_ADMIN
    # priviledged: true
    tmpfs:
      - /run
      - /tmp
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    # .. seealso:: sshe_httpd_port in defaults/main.yml
    published_ports:
      - 0.0.0.0:8080:80/tcp
provisioner:
  name: ansible
  options:
    vvv: true
  inventory:
    group_vars:
      all:
        sshe_verification_mode: false
verifier:
  name: ansible

# vim:sw=2:ts=2:et:
